package controller;

import config.Config;
import utils.YmlUtils;

import javax.swing.*;
import java.awt.*;

/**
 * @author duh
 * @create 2018/7/17 15:06
 * @email duh@elab-plus.com
 **/
public class MyFrame extends JFrame {
    public static final String TITLE = "Java图形绘制";
    public static Config template = YmlUtils.readYml();

    public MyFrame() {
        initFrame();
    }

    private void initFrame() {
        // 设置 窗口标题 和 窗口大小
        setTitle(TITLE);
        setSize(template.getRoom().getWidth(), template.getRoom().getLength());
        // 设置窗口关闭按钮的默认操作(点击关闭时退出进程)
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        // 把窗口位置设置到屏幕的中心
        setLocationRelativeTo(null);
        // 设置窗口的内容面板
        MyPanel panel = new MyPanel(this, template);
        setContentPane(panel);
    }

    public static void main(String[] args) throws Exception {
        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                MyFrame frame = new MyFrame();
                frame.setVisible(true);
            }
        });
    }
}
