package view;

import java.util.Date;
/**
 * 坐标系
 * @author duh
 * @create 2018/7/17 15:02
 * @email duh@elab-plus.com
 **/
public class Axis {
    public static final String VALUE = "value";
    public static final String DATETIME = "datetime";

    private int lineColor;		//y轴颜色
    private int lineWidth;		//y轴宽度
    private String title;		//y轴标题
    private String type;		//y轴类型  支持value 类型 和datetime类型

    private double max;			//最大值
    private double min;			//最小值

    private int ticks;			//刻度个数

    private Date startDate;
    private Date endDate;


    private String labelFormat; //刻度值排版


    public Axis(){

    }



    public Axis(int lineColor, int lineWidth, String title, String type,
                double max, double min, int ticks, Date startDate, Date endDate,
                String labelFormat) {
        super();
        this.lineColor = lineColor;
        this.lineWidth = lineWidth;
        this.title = title;
        this.type = type;
        this.max = max;
        this.min = min;
        this.ticks = ticks;
        this.startDate = startDate;
        this.endDate = endDate;
        this.labelFormat = labelFormat;
    }






    public int getLineColor() {
        return lineColor;
    }

    public void setLineColor(int lineColor) {
        this.lineColor = lineColor;
    }

    public int getLineWidth() {
        return lineWidth;
    }

    public void setLineWidth(int lineWidth) {
        this.lineWidth = lineWidth;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public double getMax() {
        return max;
    }

    public void setMax(double max) {
        this.max = max;
    }

    public double getMin() {
        return min;
    }

    public void setMin(double min) {
        this.min = min;
    }


    public String getLabelFormat() {
        return labelFormat;
    }

    public void setLabelFormat(String labelFormat) {
        this.labelFormat = labelFormat;
    }


    public Date getStartDate() {
        return startDate;
    }


    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }


    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }


    public int getTicks() {
        return ticks;
    }


    public void setTicks(int ticks) {
        this.ticks = ticks;
    }


}
